Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.distribution
Class MediumFormat

    Object
      CodeList<MediumFormat>
          MediumFormat

All Implemented Interfaces:
  Serializable, Comparable<MediumFormat>

    @UML(identifier="MD_MediumFormatCode",
         specification=ISO_19115)
    public final class MediumFormat

extends CodeList<MediumFormat>

Method used to write to the medium.

Since:
  GeoAPI 2.0
See Also:
  Serialized Form

Field Summary
`static MediumFormat` | `CPIO` CoPy In / Out (UNIX file format and command).
`static MediumFormat` | `HIGH_SIERRA` High sierra file system.
`static MediumFormat` | `ISO_9660` Information processing - volume and file structure of CD-ROM.
`static MediumFormat` | `ISO_9660_APPLE_HFS` Hierarchical file system (Macintosh).
`static MediumFormat` | `ISO_9660_ROCK_RIDGE` Rock ridge interchange protocol (UNIX).
`static MediumFormat` | `TAR` Tap ARchive.

Method Summary
`CodeList[]` | `family()` Returns the list of enumerations of the same kind than this enum.
`static MediumFormat` | `valueOf(String code)` Returns the MediumFormat that matches the given string, or returns a new one if none match it.
`static MediumFormat[]` | `values()` Returns the list of `MediumFormat`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### CPIO

    @UML(identifier="cpio",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumFormat CPIO

  CoPy In / Out (UNIX file format and command).

### TAR

    @UML(identifier="tar",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumFormat TAR

  Tap ARchive.

### HIGH_SIERRA

    @UML(identifier="highSierra",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumFormat HIGH_SIERRA

  High sierra file system.

### ISO_9660

    @UML(identifier="iso9660",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumFormat ISO_9660

  Information processing - volume and file structure of CD-ROM.

### ISO_9660_ROCK_RIDGE

    @UML(identifier="iso9660RockRidge",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumFormat ISO_9660_ROCK_RIDGE

  Rock ridge interchange protocol (UNIX).

### ISO_9660_APPLE_HFS

    @UML(identifier="iso9660AppleHFS",
         obligation=CONDITIONAL,
         specification=ISO_19115)
    public static final MediumFormat ISO_9660_APPLE_HFS

  Hierarchical file system (Macintosh).

Method Detail

### values

    public static MediumFormat[] values()

  Returns the list of `MediumFormat`s.

### family

    public CodeList[] family()

  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<MediumFormat>`

### valueOf

    public static MediumFormat valueOf(String code)

  Returns the MediumFormat that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.